// Package model -----------------------------
// @file      : containerBox.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/7/1 下午3:02
// -------------------------------------------
package model

type ContainerBox struct {
	Model
	ContainerUid string `gorm:"column:container_uid;comment:容器编号"`
	BoxName      string `gorm:"column:box_name;comment:箱子名称"`
	Profundity   string `gorm:"column:profundity;comment:孔深，单位cm"`
	//ArtworkUid      string       `gorm:"column:artwork_uid;comment:艺术品编号"` //这个应该关联画筒
	RelPin          []*BoxRelPin `gorm:"foreignKey:BoxId;references:id"`
	Tags            []*Tag       `gorm:"many2many:box_tag_rel;"`
	Enable          int          `gorm:"column:enable;default:1;comment:是否启用 1=启用中 2=未启用"`
	OperationTime   string       `gorm:"column:operation_time;comment:操作时间"`
	OperatorName    string       `gorm:"column:operator_name;comment:操作人"`
	OperatorAccount string       `gorm:"column:operator_account;comment:操作人账号"`
}

func (b ContainerBox) TableName() string {
	return "container_box"
}
